<?
session_start();
//$brcode=$_SESSION['brcode'];

$user=$_SESSION['user'];
/*
if(strlen($brcode)<=0)
{
	print "<script> alert('Session timed out'); parent.document.location='inde.php'; </script>";
	return;
}*/

include('../opendb.php');
include('mysql_table.php');

$custid=$_REQUEST['custid'];
if(substr($custid,-1)=='.')
{
   $custid= substr($custid,0,strlen($custid)-1);
}
$query1="select * from accledgermail where code='$custid'";
$res=mysqli_query($db,$query1);
$row=mysqli_fetch_array($res);
$cd=$row['acname'];
date_default_timezone_set("Asia/Kolkata"); 
$lastdt=date("Y-m-d H:i:s");
$query123="update accledgermail set lastaccessed = '$lastdt' where code='$custid'";
mysqli_query($db,$query123);


$id=$row['custid'];
$brcode=$row['brcode'];
$df=$row['asondate'];

$querybr="select * from branch where brcode='$brcode'";
$resbr=mysqli_query($db,$querybr);
$rowbr=mysqli_fetch_array($resbr);


$dt=date('Y-m-d');
$dfrom = implode('-', array_reverse(explode('-', $df)));
$dto = implode('-', array_reverse(explode('-', $dt)));
$cd=str_replace('~','&',$cd);
if(strlen($cd)<=0)
{
    print "Invalid Link....!";
    exit;
}   
$query2="select corp,acname from customer where acname='$cd' and brcode='$brcode'";

$res111=mysqli_query($db,$query2);
$row11=mysqli_fetch_array($res111);
$cd=$row11['acname'];		
if(strlen($row11[1])<=0)
{
    print "Invalid ID ....!";
    exit;
}   	
$cusres=mysqli_query($db,"select * from customer where cname='$cd' and brcode='$brcode'");
$cusrow=mysqli_fetch_array($cusres);
$tr=0;$tp=0;
//$ssq="select sum(dramt)-sum(cramt) from journal2 where brcode='$brcode' and date<'$df' and (partic='$cd')";
//$res2=mysqli_query($db,$ssq)or die('jour err:'.mysqli_error($db));
//$r2=mysqli_fetch_row($res2);

$re=mysqli_query($db,"select * from ledger where led='$cd' and brcode='$brcode'");
$opb=mysqli_fetch_array($re);
$pdf = new FPDF('L','mm','A4');
$pdf->AddPage();
$pdf->SetFont('Arial','B',10);
$pdf->SetFont('','B');
$pdf->SetFont('','BU');
$pdf->Cell(250,5,'PSN AUTOMOTIVE MARKETING PRIVATE LTD',0,1,'C');
$pdf->Ln(4);
$brname = $rowbr['braddr'].", ".$rowbr['brname'];
$pdf->Cell(250,5,$brname,0,1,'C');
$pdf->Cell(250,5,'Contact number 944 777 44 11',0,1,'C');
$pdf->Cell(250,5,'E-Mail  amplcalicut@gmail.com ',0,1,'C');
$pdf->Ln(4);
$pdf->SetFont('Arial','',10);
$pdf->Cell(250,5,'Transaction Details of '.$cd,0,1,'C');
$pdf->Ln(2);
$strv='Transactions as on '.$dfrom;
$pdf->Cell(250,5,$strv,0,1,'C');
$pdf->Cell(20,10,'Date.','LTR');$pdf->Cell(191,10,'Narration/Details','LTR');$pdf->Cell(22,10,'Debit','LTR');$pdf->Cell(22,10,'Credit','LTR');
$pdf->Cell(30,10,'Balance','LTR');
$pdf->Ln(2);
$pdf->SetFont('Arial','',8);
$totcramt=0;
$totdramt=0;
if($opb['drcr']=='Cr')
{
	$openbal=$opb['op'];
	if($opb['op']>0)
	{
    	$pdf->Ln(4);
        $pdf->Ln(4);
	    $pdf->Cell(20,6,'','LTRB',0, 'R'); $pdf->Cell(191,6,'Opening Balance','LTRB',0, 'L');$pdf->Cell(22,6,'','LTRB',0, 'R');$pdf->Cell(22,6,number_format($openbal,2,'.',','),'LTRB',0, 'R');$pdf->Cell(30,6,'','LTRB',0, 'R');
	    $totcramt=$opb['op'];
	    $mop_bal=-1*$opb['op'];
	}
	else
	{
	    $pdf->Ln(4);
        $pdf->Ln(4);
	    $pdf->Cell(20,6,'','LTRB',0, 'R'); $pdf->Cell(191,6,'Opening Balance','LTRB',0, 'L');$pdf->Cell(22,6,number_format(abs($openbal),2,'.',','),'LTRB',0, 'R');$pdf->Cell(22,6,'','LTRB',0, 'R');$pdf->Cell(30,6,'','LTRB',0, 'R');    
	    $totdramt=abs($opb['op']);
	    $mop_bal=$opb['op'];
	}
	$tp+=$openbal;
}
else
{
	$openbal=$opb['op'];
	if($openbal>0)
	{
	    $mop_bal=$opb['op'];
		//print "<tr><td></td><td> Opening Balance</td><td></td><td align=right>".putComa($openbal)."</td><td colspan=2></td>";
		$pdf->Ln(4);
        $pdf->Ln(4);
		$pdf->Cell(20,6,'','LTRB',0, 'R'); $pdf->Cell(191,6,'Opening Balance','LTRB',0, 'L');
        $pdf->Cell(22,6,number_format($openbal,2,'.',','),'LTRB',0, 'R');$pdf->Cell(22,6,'','LTRB',0, 'R');$pdf->Cell(30,6,'','LTRB',0, 'R');
		$totdramt=$opb['op'];
	}
	else
	{
		//print "<tr><td></td><td> Opening Balance</td><td align=right>".putComa(abs($openbal))."</td><td colspan=2></td>";
		$pdf->Ln(4);
        $pdf->Ln(4);
		$pdf->Cell(20,6,'','LTRB',0, 'R'); $pdf->Cell(191,6,'Opening Balance','LTRB',0, 'L');
        $pdf->Cell(22,6,'','LTRB',0, 'R');$pdf->Cell(22,6,number_format(abs($openbal),2,'.',','),'LTRB',0, 'R');$pdf->Cell(22,6,'','LTRB',0, 'R');$pdf->Cell(30,6,'','LTRB',0, 'R');
        $totcramt=abs($opb['op']);
        $mop_bal=-1*$opb['op'];
	}
	$tp+=$openbal;
}

$pdf->Ln(6);
$sql="select * from journal2 where brcode='$brcode' and partic='$cd' and date<='$df' order by date,jvno ";
$result=mysqli_query($db,$sql) or die (mysqli_error($db));
while($row=mysqli_fetch_array($result))
{
    if($row['type']=='Cr')
    {
	    $mop_bal = $mop_bal -  $row['cramt'];
	    if($mop_bal<0)
    		$mstr = "(".number_format(abs($mop_bal), 2, '.', ',').")";
    	else
		    $mstr = number_format($mop_bal, 2, '.', ',');
	    $tostr='To '.$row['narr'].'-('.$row['j_type'];
	    $date1=implode('-', array_reverse(explode('-', $row['date'])));
        $pdf->Cell(20,6,$date1,'LTRB',0, 'R');$pdf->Cell(191,6,$tostr,'LTRB',0, 'L');
        $pdf->Cell(22,6,'','LTRB',0, 'R');
        $strvl=$row['against'].':'.$row['no'];
        $pdf->Cell(22,6,$row['cramt'],'LTRB',0, 'R');$pdf->Cell(30,6,$mstr,'LTRB',0, 'R');
	    $pdf->Ln(6);
	    $totcramt+=$row['cramt'];
    }
    else
    {
	    $mop_bal = $mop_bal +  $row['dramt'];
	    if($mop_bal<0)
    		$mstr = "(".number_format(abs($mop_bal), 2, '.', ',').")";
    	else
	    	$mstr = number_format($mop_bal, 2, '.', ',');
    	$tostr='By '.$row['narr'].'-('.$row['j_type'];
		$date1=implode('-', array_reverse(explode('-', $row['date'])));
        $pdf->Cell(20,6,$date1,'LTRB',0, 'R');$pdf->Cell(191,6,$tostr,'LTRB',0, 'L');
        $pdf->Cell(22,6,$row['dramt'],'LTRB',0, 'R');$pdf->Cell(22,6,'','LTRB',0, 'R');$pdf->Cell(30,6,$mstr,'LTRB',0, 'R');
		$pdf->Ln(6);
	    $totdramt+=$row['dramt'];
    }
}

$pdf->Cell(20,6,'','LTRB',0, 'R');$pdf->Cell(191,6,'Total','LTRB',0, 'L');
//print "<tr style={background-color:silver}><td colspan=2 align=center><font color=black><B>Total</td>"; 
/*if($tp>0)
    $totdramt+=$tp;
else
    $totcramt+=abs($tp);
*/
//print "<td align=right><font color=black>".putComa($totdramt)."</td>";
//print "<td align=right><font color=black>".putComa(abs($totcramt))."</td><td colspan=2></td></tr>";
$pdf->Cell(22,6,number_format($totdramt,2,'.',','),'LTRB',0, 'R');$pdf->Cell(22,6,number_format($totcramt,2,'.',','),'LTRB',0, 'R');
$pdf->Cell(30,6,'','LTRB',0, 'R');

/*if($totdramt>=0)
$bal=($totdramt-$totcramt);
else
{$bal=($totdramt+$totcramt); $bal*=-1;}
*/
$pdf->Ln(6);
if(abs($totdramt)>abs($totcramt))
{
$bal=(abs($totdramt)-abs($totcramt));
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td align=right><font color=black><b>".round(abs($bal),2)."</td><td><font color=black><b> Debit </td><td colspan=2></td></tr>";
$pdf->Cell(20,6,'','LTRB',0, 'R');$pdf->Cell(191,6,'Balance','LTRB',0, 'L');
$pdf->Cell(22,6,number_format($bal,2,'.',','),'LTRB',0, 'R');$pdf->Cell(22,6,'Debit','LTRB',0, 'R');
$pdf->Cell(30,6,'','LTRB',0, 'R');


}
else if(abs($totdramt)<abs($totcramt))
{$bal=(abs($totcramt)-abs($totdramt)); 
$pdf->Cell(20,6,'','LTRB',0, 'R');$pdf->Cell(191,6,'Balance','LTRB',0, 'L');$pdf->Cell(22,6,'','LTRB',0, 'R');
$pdf->Cell(22,6,number_format($bal,2,'.',','),'LTRB',0, 'R');$pdf->Cell(30,6,'Credit','LTRB',0, 'R');
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td></td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black> <b>Credit </td> </tr>";
}


//*******************************************************
// if(strtoupper($opb['drcr'])=="DR" && $opb['op']<0)
// 	$bal*=-1;
  $bal=number_format($bal,2,'','');
//********************************************************
if($bal>0)
{
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black><b> Debit </td><td colspan=2></td></tr>";
}
else
//print "\n<tr><td colspan=2 align=center><b><font color=black>Balance</td><td></td><td align=right><font color=black><b>".putcoma(abs($bal))."</td><td><font color=black> <b>Credit </td> </tr>";


//**************************************************************8888888888888888888888888






//echo "test";

$filename="ledger.pdf";

//$path = $_SERVER["DOCUMENT_ROOT"].'/psneicher/paypdf/custfolder/'.$filename;
 
		//$pdf->Output('I', $filename)	
		$pdf->Output($filename,'I');
?>
